📄 MIPYME Documents
Creates a new product
POST
Endpoint URL
https://api-billing.koywe.com/V1/products
Adds a new product with the provided details.
Parameters
No parameters.
Request body — fields
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Always required | — |
invoicing_details | string | Optional | — |
additional_details | string | Optional | — |
model | string | Optional | — |
brand | string | Optional | — |
status | integer | Always required | — |
sku | string | Optional | — |
barcode | string | Optional | — |
measure_unit | string | Optional | — |
type | integer | Optional | — |
embedded_quantity_barcode | integer | Optional | — |
embedded_quantity_barcode_decimals | integer | Optional | — |
additional_data_1 | string | Optional | — |
additional_data_2 | string | Optional | — |
additional_data_3 | string | Optional | — |
favorite | integer | Optional | — |
product_category_id | integer | Always required | — |
cost | object | Always required | — |
cost.currency_id | integer | Optional | — |
cost.value | number | Optional | — |
price | array<object> | Always required | — |
price[].price_list_id | integer | Optional | — |
price[].unit_net | number | Optional | — |
price[].unit_tax | number | Optional | — |
price[].unit_total | number | Optional | — |
price[].currency_id | integer | Optional | — |
price[].sales_commission_percentage | number | Optional | — |
price[].taxes | array<object> | Optional | — |
price[].taxes[].tax_type_id | string | Optional | — |
price[].taxes[].tax_percentage | number | Optional | — |
price[].taxes[].tax_amount | number | Optional | — |
inventories | object | Optional | — |
inventories.total_available | number | Optional | — |
inventories.total_reserved | number | Optional | — |
inventories.details | array<object> | Optional | — |
inventories.details[].product_location_id | string | Optional | — |
inventories.details[].available_quantity | number | Optional | — |
inventories.details[].reserved_quantity | number | Optional | — |
Request body — JSON example
{
"name": "string",
"invoicing_details": "string",
"additional_details": "string",
"model": "string",
"brand": "string",
"status": 0,
"sku": "string",
"barcode": "string",
"measure_unit": "string",
"type": 0,
"embedded_quantity_barcode": 0,
"embedded_quantity_barcode_decimals": 0,
"additional_data_1": "string",
"additional_data_2": "string",
"additional_data_3": "string",
"favorite": 0,
"product_category_id": 0,
"cost": {
"currency_id": 0,
"value": 0
},
"price": [
{
"price_list_id": 0,
"unit_net": 0,
"unit_tax": 0,
"unit_total": 0,
"currency_id": 0,
"sales_commission_percentage": 0,
"taxes": [
{
"tax_type_id": "...",
"tax_percentage": "...",
"tax_amount": "..."
}
]
}
],
"inventories": {
"total_available": 0,
"total_reserved": 0,
"details": [
{
"product_location_id": "string",
"available_quantity": 0,
"reserved_quantity": 0
}
]
}
}
Responses
201
Product created successfully.